{
  "documentation": "A download_task info which is part of a team.",
  "fields": [
    {
      "documentation": "update create_time of this download_task.",
      "name": "create_time",
      "type": "Long",
      "nullable": false,
      "index": true
    },
    {
      "documentation": "download_task_id of this download_task.",
      "name": "download_task_id",
      "type": "Integer",
      "nullable": true
    },
    {
      "documentation": "game_name of this download_task.",
      "name": "game_name",
      "type": "String",
      "nullable": false
    },
    {
      "documentation": "icon_url of this download_task.",
      "name": "icon_url",
      "type": "String",
      "nullable": false
    },
    {
      "documentation": "percent of this download_task.",
      "name": "percent",
      "type": "Integer",
      "nullable": true
    },
    {
      "documentation": "downloaded_size of this download_task.",
      "name": "downloaded_size",
      "type": "Double",
      "nullable": true
    },
    {
      "documentation": "total_size of this download_task.",
      "name": "total_size",
      "type": "Double",
      "nullable": true
    },
    {
      "documentation": "status of this download_task.",
      "name": "status",
      "type": "Integer",
      "nullable": false
    },
    {
      "documentation": "download_url of this download_task.",
      "name": "download_url",
      "type": "String",
      "nullable": false
    },
    {
      "documentation": "package_name of this download_task.",
      "name": "package_name",
      "type": "String",
      "nullable": false
    },
    {
      "documentation": "version_code of this download_task.",
      "name": "version_code",
      "type": "Integer",
      "nullable": false
    },
    {
      "documentation": "apk_path of this download_task.",
      "name": "apk_path",
      "type": "String",
      "nullable": false
    }
  ],
  "constraints": [
    {
      "name": "unique_download_task",
      "definition": "UNIQUE (download_url) ON CONFLICT REPLACE"
    }
  ],
  "defaultOrder": "create_time DESC"
}